#include "SysSavePoint.h"

SysSavePoint::SysSavePoint()
{
	ani.png = L"sys_obj";
	ani.sprite_index = L"savepoint";
	//启用碰撞
	cbRect.enableCbRect = true;
	cbRect.enableSoild = true;
}

void SysSavePoint::Step()
{
	//执行运动
	Entity::Step();
	y++;
	//清除最后一次碰撞结果
	Entity::ClearCollisionResult();
	//执行碰撞
	Entity::Collision();
}

std::shared_ptr<Entity> CreateSysSavePoint()
{
	return std::make_shared<SysSavePoint>();
}
